import Vue from "vue/dist/vue";
import LayoutBuilder from "./LayoutBuilder.vue";
import store from "./store/index";

Vue.config.productionTip = false;

class App {
  constructor(element, config) {
    this.element = element;
    this.config = Object.assign({}, config, {
      contentOverlayVisible: false,
      currentlyEditableContentElement: null,
      activeGroupInContentOverlay: null
    });

    return new Vue({
      store: store(this.config),
      id: this.element.id,
      setElement(data) {
        this.store.dispatch("editContent", data);
      },
      render: h => h(LayoutBuilder)
    }).$mount(`#${this.element.id}`);
  }
}

export default App;
