import Vue from "vue/dist/vue";
import cloneDeep from "clone-deep";

export default originalState => ({
  move(state, data) {
    data.arr.splice(data.to, 0, data.arr.splice(data.index, 1)[0]);
  },
  updateSectionOrder(state, list) {
    Vue.set(state, "sections", list);
  },
  changeLayout(state, data) {
    Vue.set(state.sections[data.indexSection], "layout", data.selectedLayout);
  },
  deleteSection(state, index) {
    if (state.sections.length === 1) {
      const section = state.sections[index];
      Vue.set(section, "layout", null);
      Vue.set(section, "content", {});
    } else {
      state.sections.splice(index, 1);
    }
  },
  addSection(state, index) {
    state.sections.splice(index, 0, {
      id: Date.now(),
      layout: null,
      content: {}
    });
  },
  updateContentOrder(state, data) {
    Vue.set(state.sections[data.indexSection].content, data.slotId, data.value);
  },
  deleteContent(state, data) {
    const st = state;
    const arr = st.sections[data.indexSection].content[data.slotId];

    arr.splice(data.indexSectionBlock, 1);

    if (arr.length === 0) {
      delete st.sections[data.indexSection].content[data.slotId];
    }
  },
  addContent(state, data) {
    state.sections[data.indexSection].content[data.slotId].splice(
      data.indexSectionBlock,
      0,
      null
    );
  },
  editContent(state, data) {
    const { indexSection } = state.currentlyEditableContentElement;
    const { indexSectionBlock } = state.currentlyEditableContentElement;
    const { slotId } = state.currentlyEditableContentElement;
    const arr = state.sections[indexSection].content[slotId];

    if (arr) {
      arr.splice(indexSectionBlock, 1, data.id);
    } else {
      Vue.set(state.sections[indexSection].content, slotId, [data.id]);
    }
  },
  addElement(state, data) {
    Vue.set(state.elements, data.id, data.element);
  },
  updateElement(state, data) {
    Vue.set(state.elements[data.id], "html", data.element.html);
  },
  setContentOverlayVisibility(state, visible) {
    Vue.set(state, "contentOverlayVisible", visible);
  },
  setCurrentlyEditableContent(state, element) {
    Vue.set(state, "currentlyEditableContentElement", element);
  },
  setActiveGroupInContentOverlay(state, groupName) {
    Vue.set(state, "activeGroupInContentOverlay", groupName);
  },
  emptyState(state) {
    const d = cloneDeep(originalState);

    Vue.set(state, "sections", d.sections);
    Vue.set(state, "elements", d.elements);
    Vue.set(state, "saveUrl", d.saveUrl);
    Vue.set(state, "layouts", d.layouts);
  }
});
