export default {
  adapters: {
    callback: ""
  },
  saveUrl: "foo",
  sections: [
    {
      id: 1,
      layout: "LayoutThreeColumns",
      content: {}
    },
    {
      id: 2,
      layout: "LayoutTwoColumns",
      content: {
        1: ["element7", null, "element8"]
      }
    },
    {
      id: 3,
      layout: null,
      content: {}
    },
    {
      id: 4,
      layout: "LayoutTwoColumns",
      content: {
        1: ["element8"],
        2: ["element8", "element9"]
      },
      locked: true
    }
  ],
  content_types: [
    {
      id: 1,
      name: "Documentation Center",
      group: "Foo group",
      params: {
        url: "edit.html"
      }
    },
    {
      id: 2,
      name: "Media Player",
      group: "Bar group",
      params: {
        url: "edit.html"
      }
    },
    {
      id: 3,
      name: "PDF",
      group: "Bar group",
      params: {
        url: "edit.html"
      }
    }
  ],
  elements: {
    element7: {
      html: '<div class="Element">documentation center</div>',
      params: {
        url: "edit.html"
      },
      content_type_group: "Foo group",
      name: "Docu center"
    },
    element8: {
      html: '<div class="Element">media player</div>',
      params: {
        url: "edit.html"
      },
      content_type_group: "Bar group",
      name: "Media player"
    },
    element9: {
      html: '<div class="Element">pdf</div>',
      params: {
        url: "edit.html"
      },
      content_type_group: "Bar group",
      name: "Pdf"
    }
  },
  layouts: {
    LayoutOneColumn: {
      slots: ["1"],
      html:
        "<div class='Row'><div class='Column'><slot name='1'></slot></div></div>",
      name: "One column"
    },
    LayoutThreeColumns: {
      slots: ["1", "2", "3"],
      html:
        "<div class='Row'><div class='Column'><slot name='1'></slot></div><div class='Column'><slot name='2'></slot></div><div class='Column'><slot name='3'></slot></div></div>",
      name: "Three columns"
    },
    LayoutTwoColumns: {
      slots: ["1", "2"],
      html:
        "<div class='Row'><div class='Column'><slot name='1'></slot></div><div class='Column'><slot name='2'></slot></div></div>",
      name: "Two columns"
    }
  }
};
