import { shallowMount } from "@vue/test-utils";
import Button from "../../../src/components/LayoutBuilderButton.vue";

describe("Button.vue", () => {
  it("renders props.label when passed", () => {
    const label = "label";
    const wrapper = shallowMount(Button, {
      propsData: { label }
    });
    expect(wrapper.text()).toMatch(label);
  });

  it("adds a modifier class when passed", () => {
    const modifier = "positive";
    const wrapper = shallowMount(Button, {
      propsData: { modifier }
    });

    expect(wrapper.classes()).toContain(`LayoutBuilderButton--${modifier}`);
  });

  it("adds a title when passed", () => {
    const title = "foo";
    const wrapper = shallowMount(Button, {
      propsData: { title }
    });
    expect(wrapper.attributes().title).toBe(title);
  });
});
